Subject: alacritty segmentation fault
From: Steven Roose <[email-masked]>
To: [email-masked]
Date: Thu, 4 Jan 2024 15:32:55 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I've been using alacritty as my default terminal for about a year 
without much issues. I'm currently on v0.12.3 of alacritty and use it 
with i3 and Xorg. A month or two ago I noticed that upgrading GuixSD 
broke alacritty. Since it's my main terminal and I didn't have any other 
terminals installed, I was forced to rollback my system through GRUB 
because I couldn't literally not even open a terminal to investigate or 
roll-back by CLI. I was trying another system upgrade now and noticed 
the issue is still not fixed. When running alacritty from an 
already-open alacritty only shows me "segmentation fault". The working 
and broken version is both 0.12.3, so I think it might not be an 
alacritty issue but more a linking/build issue. I'm basically stuck on a 
months-old Guix until this is fixed.

If there is any way I can be of use by providing debug/log files of some 
kind, please let me know.